| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Terrain::LayerInstance Struct Reference

An instance of a layer, with specific texture names. More...

`#include <OgreTerrain.h>`

## Public Member Functions
| LayerInstance ()

## Public Attributes
StringVector | textureNames
| List of texture names to import; must match with TerrainLayerDeclaration. More...
Real | worldSize
| The world size of the texture to be applied in this layer. More...

## Detailed Description

An instance of a layer, with specific texture names.

## Constructor & Destructor Documentation

## ◆ LayerInstance()

Ogre::Terrain::LayerInstance::LayerInstance | ( |  | ) |
| inline

## Member Data Documentation

## ◆ worldSize

Real Ogre::Terrain::LayerInstance::worldSize

The world size of the texture to be applied in this layer.

## ◆ textureNames

StringVector Ogre::Terrain::LayerInstance::textureNames

List of texture names to import; must match with TerrainLayerDeclaration.

The documentation for this struct was generated from the following file:

- OgreTerrain.h